Page MenuHomePhabricator

Use 'default' instead of 'value' in HTMLTextField
Closed, ResolvedPublic

Description

Using 'value' param in 'type' => 'text' or 'class' => HTMLTextField may not be useful. And this may rise problem like T192705, because 'value' param does not change upon Form submit where as 'default' can change.

Solution

  • Use 'default' instead of 'value'

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 25 2018, 8:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jayprakash12345 renamed this task from Use 'default' instead of 'value' in HTMLUserTextField to Use 'default' instead of 'value' in HTMLTextField.Apr 25 2018, 9:02 PM
Jayprakash12345 updated the task description. (Show Details)

Change 429210 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/IndexFunction@master] Use 'default' instead of 'value'

https://gerrit.wikimedia.org/r/429210

Change 429210 merged by jenkins-bot:
[mediawiki/extensions/IndexFunction@master] Use 'default' instead of 'value'

https://gerrit.wikimedia.org/r/429210

Vvjjkkii renamed this task from Use 'default' instead of 'value' in HTMLTextField to s7daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
AfroThundr3007730 renamed this task from s7daaaaaaa to Use 'default' instead of 'value' in HTMLTextField.Jul 1 2018, 6:42 AM
AfroThundr3007730 raised the priority of this task from High to Needs Triage.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added subscribers: GerritBot, Aklapper.

Change 447848 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Use 'default' instead of 'value' in HTMLTextField

https://gerrit.wikimedia.org/r/447848

Change 447848 merged by jenkins-bot:
[mediawiki/core@master] Use 'default' instead of 'value' in HTMLTextField

https://gerrit.wikimedia.org/r/447848

Jayprakash12345 closed this task as Resolved.Jul 26 2018, 12:18 PM
Jayprakash12345 removed a project: Patch-For-Review.
Jayprakash12345 claimed this task.
Jayprakash12345 removed a subscriber: GerritBot.

Checked all repos on codesearch.wmflabs.org, So Closing as resolved.